net.minecraft.world.chunk.storage

## Class AnvilSaveHandler

- java.lang.Object
- - net.minecraft.world.storage.SaveHandler
  - - net.minecraft.world.chunk.storage.AnvilSaveHandler

- All Implemented Interfaces:
    IPlayerFileData, ISaveHandler

      public class AnvilSaveHandler
      extends SaveHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnvilSaveHandler(java.io.File par1File, java.lang.String par2Str, boolean par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush()`
    `IChunkLoader` | `getChunkLoader(WorldProvider par1WorldProvider)`
    `void` | `saveWorldInfoWithPlayer(WorldInfo par1WorldInfo, NBTTagCompound par2NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.world.storage.SaveHandler

      `checkSessionLock, getAvailablePlayerDat, getMapFileFromName, getPlayerData, getSaveHandler, getWorldDirectory, getWorldDirectoryName, loadWorldInfo, readPlayerData, saveWorldInfo, writePlayerData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnvilSaveHandler

          public AnvilSaveHandler(java.io.File par1File,
                          java.lang.String par2Str,
                          boolean par3)

  - ### Method Detail

    - #### getChunkLoader

          public IChunkLoader getChunkLoader(WorldProvider par1WorldProvider)

      Specified by:
        `getChunkLoader` in interface `ISaveHandler`
      Overrides:
        `getChunkLoader` in class `SaveHandler`

    - #### saveWorldInfoWithPlayer

          public void saveWorldInfoWithPlayer(WorldInfo par1WorldInfo,
                                     NBTTagCompound par2NBTTagCompound)

      Specified by:
        `saveWorldInfoWithPlayer` in interface `ISaveHandler`
      Overrides:
        `saveWorldInfoWithPlayer` in class `SaveHandler`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `ISaveHandler`
      Overrides:
        `flush` in class `SaveHandler`